:root {

  --font-heading: 'Archivo Black', sans-serif;
  --font-body: 'Hind', sans-serif;
  --bs-primary: #191970; 
  --bs-secondary: #F34213;
  --bs-success: #198754;
  --bs-danger: #dc3545;
  --bs-warning: #ffc107;
  --bs-info: #0dcaf0;
  --bs-light: #f8f9fa;
  --bs-dark: #212529;
  --bs-primary-rgb: 27,57,120;
  --bs-btn-active-bg:#1B3978;
  --bs-btn-active-border-color:#1B3978 ;
  --light-grey: #777777;

}

.pagination {
    --bs-pagination-color: #191970;
    --bs-pagination-bg: #fff;
    --bs-pagination-border-color: #dee2e6;

    --bs-pagination-hover-color: #fff;
    --bs-pagination-hover-bg: #2430a3;
    --bs-pagination-hover-border-color: #222d96;

    --bs-pagination-active-color: #fff;
    --bs-pagination-active-bg: #191970;
    --bs-pagination-active-border-color: #191970;

    --bs-pagination-focus-color: #fff;
    --bs-pagination-focus-bg: #2430a3;
    --bs-pagination-focus-border-color: #222d96;
    --bs-pagination-focus-box-shadow: 0 0 0 0.25rem rgba(25, 25, 112, 0.25);
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #191970;
    --bs-btn-border-color: #191970;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #2430a3;
    --bs-btn-hover-border-color: #222d96;
    --bs-btn-focus-shadow-rgb: 25, 25, 112;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #1f2a8f;
    --bs-btn-active-border-color: #1c257f;
    --bs-btn-active-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.15);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #191970;
    --bs-btn-disabled-border-color: #191970;
}


body { font-family: var(--font-body); font-weight: 400; line-height: 1.6; font-size:18px ; color:var(--bs-dark);  }
h1, h2, h3, h4, h5, h6, .display-1, .display-2, .display-3, .display-4, .navbar-brand { font-family: var(--font-heading); font-weight: 400; color: var(--bs-primary); }
h1 { font-size: 3rem }




#wrapper-navbar { position: sticky; top: 0; z-index: 9500; background: white; display: block; /*box-shadow: 0 3px 8px 0 rgba(25, 25, 112, 0.1) !important; border-bottom:1px solid #ddd;*/  }
.custom-logo-link { max-width: 220px }

.navbar-nav .nav-link { font-family: 'Hind', sans-serif; font-weight: 600; font-size:18px ;text-transform: uppercase; color: var(--bs-primary); display: inline-block; padding: 5px 0; position: relative; transition: color 0.3s ease-in-out; text-decoration: none; }
.navbar-nav .nav-link:hover, .navbar-nav .nav-link:focus { color: #F34213 }
.navbar-icons .nav-link { font-size: 1.3rem; padding: 0.5rem; position: relative; }
.navbar-icons .badge { font-size: 0.7rem; padding: 0.35em 0.5em; }
.navbar-icons .nav-link i { transition: color 0.3s ease; color: #1B3978; }
.navbar-icons .nav-link:hover i { color: #F34213; }
.navbar-toggler { border: none; }


body a:not(#wrapper-navbar a,#wpadminbar a, .artwork-card a,.pagination a) { position: relative; color: var(--bs-secondary); text-decoration: none; transition: color 0.3s ease-in-out; }
body a:not(#wrapper-navbar a,#wpadminbar a, .artwork-card a,.pagination a)::after { content: ""; position: absolute; left: 0; right: 0; bottom: 4px; height: 1px; border-bottom: 1px dashed currentColor; opacity: 1; transition: opacity 0.3s ease-in-out; }
body a:not(#wrapper-navbar a,#wpadminbar a, .artwork-card a,.pagination a):hover::after, body a:not(#wrapper-navbar a):focus::after { opacity: 0; }

figure figcaption, .imagecaption { font-style: italic; font-size: 0.9em; line-height: 1.4; color: var(--bs-dark); }

.home-event-dates p:last-child { margin-bottom: 0; }
.logo-masked { display: block; width: 300px; aspect-ratio: 658 / 71; object-fit: cover;  -webkit-mask-image: url('/wp-content/uploads/hew-locke-logo.svg'); mask-image: url('/wp-content/uploads/hew-locke-logo.svg'); -webkit-mask-repeat: no-repeat; mask-repeat: no-repeat;  -webkit-mask-size: 100% 100%; mask-size: 100% 100%; -webkit-mask-position: center; mask-position: center; }

#wrapper-footer-full { font-size: 0.8em; }

.container { max-width: 768px !important; margin: 0 auto; padding: 0 20px; }
.grid { display: flex; flex-wrap: wrap; margin: 0 -10px; }
.grid-item { width: 33.333%; padding: 0 10px; box-sizing: border-box; }

/* Generic WordPress video embeds */
.wp-block-embed.is-type-video iframe,
.wp-block-embed__wrapper iframe,
iframe[src*="youtube.com"],
iframe[src*="youtu.be"],
iframe[src*="vimeo.com"] {
  width: 100% !important;
  height: auto;
  aspect-ratio: 16 / 9; /* keeps it 16:9 */
  display: block;
  max-width: 100% !important;
  border: 0;
}


.artwork-card {
    position: relative;
}

.artwork-image-wrapper {
    position: relative;
    overflow: hidden;
}


.artwork-overlay {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0.6rem 0.8rem;
    background: rgba(255, 255, 255, 0.8);
    opacity: 0;                 /* hidden by default */
    transition: opacity 0.25s ease;
}

.artwork-card a { text-decoration: none !important; }

.hptax ul.list-unstyled {
    padding: 0;
    margin: 0;
}



.hptax ul.list-unstyled li {
    display: inline-block;
    padding-right: 15px;
}



.hptax ul.list-unstyled li:last-child {
    padding-right: 0;
}

.hptax .yearstax { padding-top:15px }

/* Desktop hover behaviour */
@media (min-width: 768px) {
    .artwork-card:hover .artwork-overlay {
        opacity: 1;
    }
}


/* Optional: subtle hover effect on desktop */
@media (min-width: 768px) {
    .artwork-image-wrapper img {
        transition: transform 0.3s ease;
    }

    .artwork-card:hover .artwork-image-wrapper img {
        transform: scale(1.20);
    }
}

@media (max-width: 767px) {
    .logo-masked { width: 220px; }
  .grid-item {
    width: 50%;
  }
}


@media (max-width: 480px) {
  .grid-item {
    width: 100%;
  }
}



@media (min-width: 768px) {
  .container {
    max-width: 768px !important;
  }
}

